> ## Documentation Index
> Fetch the complete documentation index at: https://developers.tarefy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create multiple competencies in bulk



## OpenAPI

````yaml /api-reference/pessoas.yaml post /v2/competences/batch
openapi: 3.0.0
info:
  title: Tarefy API
  description: >-
    Tarefy REST API — task management, culture and performance platform.


    Endpoints are versioned at `/v2/...`. Authentication via Bearer JWT in the
    `Authorization` header.


    To get started, see the [authentication guide](/authentication) and the
    [quickstart](/quickstart).
  version: 2.0.0
  contact:
    name: Tarefy Support
    email: suporte@tarefy.com
    url: https://tarefy.com
  license:
    name: Proprietary
    url: https://tarefy.com
servers:
  - url: https://app.tarefy.com/nodeapi
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Performance Evaluations
    description: Performance evaluations (90°, 180°, 360°)
  - name: Feedback
    description: Structured feedbacks
  - name: PDI
    description: Individual Development Plan
  - name: Competences
    description: Competency catalog
  - name: Competence Groups
    description: Competency grouping
  - name: NPS
    description: Internal Net Promoter Score
paths:
  /v2/competences/batch:
    post:
      tags:
        - Competences
      summary: Create multiple competencies in bulk
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                competences:
                  type: array
                  items:
                    type: object
                    properties:
                      name:
                        type: string
                      description:
                        type: string
                        nullable: true
                      weight:
                        type: number
                        nullable: true
                      group_id:
                        type: integer
                      position_ids:
                        type: array
                        items:
                          type: integer
                  required:
                    - name
                    - group_id
                    - position_ids
              required:
                - competences
      responses:
        '200':
          description: Competências criadas em lote com sucesso
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````